using OF_DL.Services;
using Spectre.Console;

namespace OF_DL.CLI;

/// <summary>
///     Implementation of IStatusReporter that uses Spectre.Console's StatusContext for CLI output.
/// </summary>
public class SpectreStatusReporter(StatusContext ctx) : IStatusReporter
{
    public void ReportStatus(string message)
    {
        ctx.Status($"[red]{message}[/]");
        ctx.Spinner(Spinner.Known.Dots);
        ctx.SpinnerStyle(Style.Parse("blue"));
    }
}
